> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patent details

> Patent details



## OpenAPI

````yaml GET /v1/google/patents/detail
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/patents/detail:
    get:
      tags:
        - Google Patents
      summary: Get patent details
      description: Get detailed patent information using the XHR endpoint (returns HTML).
      operationId: get_patent_detail_api_v1_patents_detail_get
      parameters:
        - name: patent_id
          in: query
          required: true
          schema:
            type: string
            description: Patent/publication number (e.g. US10000000B2)
            title: Patent Id
          description: Patent/publication number (e.g. US10000000B2)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatentDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatentDetailResponse:
      properties:
        patent:
          $ref: '#/components/schemas/PatentDetail'
      type: object
      required:
        - patent
      title: PatentDetailResponse
      description: Response for GET /api/v1/patents/detail.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PatentDetail:
      properties:
        title:
          type: string
          title: Title
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
        patent_id:
          type: string
          title: Patent Id
        publication_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Publication Number
        priority_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Priority Date
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Filing Date
        grant_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Grant Date
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Publication Date
        inventor:
          anyOf:
            - type: string
            - type: 'null'
          title: Inventor
        assignee:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
        pdf_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdf Link
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        figures:
          items:
            $ref: '#/components/schemas/PatentFigure'
          type: array
          title: Figures
        country_status:
          additionalProperties:
            type: string
          type: object
          title: Country Status
        abstract:
          anyOf:
            - type: string
            - type: 'null'
          title: Abstract
        claims:
          items:
            type: string
          type: array
          title: Claims
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        classifications:
          items:
            type: string
          type: array
          title: Classifications
        citations:
          items:
            $ref: '#/components/schemas/PatentCitation'
          type: array
          title: Citations
        application_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Number
        expiration_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Expiration Date
      type: object
      required:
        - title
        - patent_id
      title: PatentDetail
      description: Detailed patent information from /xhr/result.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PatentFigure:
      properties:
        url:
          type: string
          title: Url
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
      type: object
      required:
        - url
      title: PatentFigure
      description: Patent figure/drawing.
    PatentCitation:
      properties:
        patent_id:
          type: string
          title: Patent Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        assignee:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Filing Date
      type: object
      required:
        - patent_id
      title: PatentCitation
      description: A patent citation reference.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````